Page MenuHomePhabricator

Requesting temporary logo change for fa.wikipedia.org
Closed, ResolvedPublic

Event Timeline

This request should be declined, I believe. Please see https://lists.wikimedia.org/hyperkitty/list/sitereq-l@lists.wikimedia.org/thread/G7YOWGDDQCD3VCMXJ2JXM6ODZVNK7IHA/ for more information. Wikimedia projects should not change their logo for festivals or occasions such as Nowruz.

This change is very controversial to say the least.

Also note that fawiki currently uses the 2022 Vector skin by default, but this proposed logo has only been prepared for the Legacy Vector.

@4nn1l2 This request was discussed completely in Farsi Wikipedia and there is a full consensus to do this change.
Nowruz is the most important Eid for Iranian people, and is highly important to change logo. All Farsi users agreed to change this logo for about 1 month ago and this convention was regularly done for every year before.

All Farsi users agreed to change this logo for about 1 month ago and this convention was regularly done for every year before.

I am a Farsi Wikipedia user myself and I opposed this proposal along with about 20 other users, so your claim that "all Farsi users agreed to change this logo" is outright false.

Users can't build a consensus against Wikimedia projects pillars and being neutral is a central principle of all Wikimedia projects. Changing the logo for the Iranian New Year violates this principle if you are unwilling to change the logo for other occasions such as the Christian New Year or the Chinese New Year.

Please see the Logo page at metawiki. The Wikimedia Foundation is against changing logos for holidays and such. And system administrators are not bound to perform the so-called "consensuses" which are against the philosophy and principles of Wikimedia projects, no matter how many users demand for such changes.

4nn1l2 renamed this task from Requesting temporary logo change for fa.wikimedia.org to Requesting temporary logo change for fa.wikipedia.org.Mar 21 2022, 2:47 PM

Hmm, well, Russian Wikipedia changes the logo during european new year all the time, for example. Though this looks like another argument to just do this via CSS 🙂

Russian Wikipedia is a problematic project itself and should not be looked upon as a role model at all. I reckon Farsi Wikipedia interface admins are wise enough not to change the logo by editing MediaWiki:Common.css, otherwise there may be ArbCom cases against them, because as previously said, this is a highly controversial topic at Farsi Wikipedia. I advise system admins to just decline this request.

Consensus of Persian language community to change the Wikipedia logo for Nowruz, In this poll, which lasted for a month, about 60 users agreed and only 18 users opposed such a change!

In my opinion, the consensus of local communities in Wikipedia should be respected and implemented.

The logo change was a decision made by local community of Persian Wikipedia, one person's opinion should not effect the decision of majority of Fawiki users. 3 days of Nowruz have passed already, please change the logo faster. Thanks

And please note how the opposing user (4nn1l2) is imposing their ideology on what is clearly local community's consensus.

Hello everybody,
Nowruz is celebrated as the beginning of the new year by more than 300 million people all around the world and has been celebrated for over 3,000 years in the Balkans, the Black Sea Basin, the Caucasus, Central Asia, the Middle East and other regions. On this occasion, a poll was conducted on Persian Wikipedia. The poll was open for a month and was attended by more than 70 people. In this poll, users' consensus is associated with changing the Wikipedia logo for Nowruz. Based of this poll it has "enough user support". Please one of the administrators review this request and change the logo. This request will help improve the morale of the users in the Persian Wikipedia community and will improve the work procedure in our encyclopedia.

Its important for our community to have this change. Please check this request.

Sincerely yours und mit freundlichen grüßen.

More about Nowruz:
+ What is Nowruz and why do we celebrate it? (United Nations)
+ International Day of Nowruz (Unesco)

JJMC89 raised the priority of this task from High to Needs Triage.Mar 24 2022, 5:45 AM

Change 773591 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] fawiki: Set new year celebration

https://gerrit.wikimedia.org/r/773591

Change 773591 merged by jenkins-bot:

[operations/mediawiki-config@master] fawiki: Set new year celebration

https://gerrit.wikimedia.org/r/773591

Mentioned in SAL (#wikimedia-operations) [2022-03-24T17:04:04Z] <urbanecm@deploy1002> Synchronized static/images/project-logos/: 05d55a9: fawiki: Set new year celebration (T304314; 1/3) (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2022-03-24T17:06:04Z] <urbanecm@deploy1002> Synchronized wmf-config/logos.php: 05d55a9: fawiki: Set new year celebration (T304314; 2/3) (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2022-03-24T17:07:11Z] <urbanecm@deploy1002> Synchronized logos/config.yaml: 05d55a9: fawiki: Set new year celebration (T304314; 3/3) (duration: 00m 49s)

@Urbanecm given the above discussion and the reference made to https://meta.wikimedia.org/wiki/Logo#Temporary_logo_variants is there a reason you decided to go ahead with this request?

Also, what you did is not entirely useful; while it does change the logo in legacy Vector, it doesn't change the logo at all in the new Vector which is the default skin for fawiki. The new vector loads the logo from /static/images/mobile/copyright/wikipedia.png which obviously you shouldn't overwrite as it will impact all wikis. Changing the logo in new vector would require change to the vector skin itself, I believe, so that it'd load a different file for fawiki.

Hello,

First, thank you @RhinosF1 for bringing this task to my attention. I do not think this needs to be declined, considering it has valid community consensus.

Speaking of https://meta.wikimedia.org/w/index.php?title=Logo, it explicitly says there's no consensus about holiday celebration and that's the reason for discouraging the practice (I want to emphasis it doesn't explicitly disallow it). In my opinion, fa.wiki presented a satisfactory consensus they think this celebration is appropriate. As such, I don't think there's any reason to decline this request. Considering the time sensitivity, I decided to go ahead (especially since it only covers old vector for now, ie. a certain portion of registered users).

@Urbanecm given the above discussion and the reference made to https://meta.wikimedia.org/wiki/Logo#Temporary_logo_variants is there a reason you decided to go ahead with this request?

Thanks for the question. I was aware of the discussion, but I was writing my comment. See my comment above for the reasons.

Also, what you did is not entirely useful; while it does change the logo in legacy Vector, it doesn't change the logo at all in the new Vector which is the default skin for fawiki.

I am aware that fawiki uses Vector 2022 by default. I changed the logo following an IRC discussion in -tech (logs) – it was agreed to change the logo now for legacy vector and wait for fawiki community to provide required logo files for new vector (new versions of https://fa.wikipedia.org/static/images/mobile/copyright/wikipedia.png, https://fa.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-fa.svg and https://fa.wikipedia.org/static/images/mobile/copyright/wikipedia-tagline-fa.svg). Since the on-wiki consensus is about the old vector logo only, there's not much I can do now.

The new vector loads the logo from /static/images/mobile/copyright/wikipedia.png which obviously you shouldn't overwrite as it will impact all wikis. Changing the logo in new vector would require change to the vector skin itself, I believe, so that it'd load a different file for fawiki.

It's already possible to specify custom path to that file and other related files (wmgSiteLogoIcon, wmgSiteLogoWordmark and wmgSiteLogoTagline). The only thing that's not done is the lack of celebrating version of the files (and of course, fawiki's consensus to use those files).

Thanks for the detailed response.

I don't understand you. What do you mean? You can respond in Farsi.

Please can you keep the discussions here on this Phabricator ticket rather than on IRC?

@4nn1l2

ادمین گفته بودش که یکی دو روز بگذاریدش توی فعالیت تا اگر کسی مخالفت نکنه سپس لوگوی بدون متن را برای وکتور جدید فعال میکنم. من هم گذاشتمش.

چونکه لوگوی متن دار رای آورده ولی بدون متن آن مورد رای‌گیری نبوده.

لطفا مخالفت نکنید تا لوگوی نوروزی بدون متن اعمال شود.

چه طور ابتدایی‌ترین اصول رعایت نمی‌شود؟ این لوگو اصلاً مربع نیست که بتوان درباره‌اش نظر داد. لطفاً ابتدا لوگو را در ابعاد مربع ارائه دهید. اگر این لوگو با این وضع فعلی فعال شود، قناس دیده خواهد شد.

@Urbanecm Under the same file name, I uploaded a new version of that picture that is modified on scale and is thus a square. I think this new version one is appropriate.

@Urbanecm Under the same file name, I uploaded a new version of that picture that is modified on scale and is thus a square. I think this new version one is appropriate.

Perfect! I'll do this in an hour or two :).

@4nn1l2
سایز لوگو را مربع کردم.

Change 773633 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] fawiki: Set celebration logo for new vector

https://gerrit.wikimedia.org/r/773633

Change 773633 merged by jenkins-bot:

[operations/mediawiki-config@master] fawiki: Set celebration logo for new vector

https://gerrit.wikimedia.org/r/773633

Mentioned in SAL (#wikimedia-operations) [2022-03-24T21:07:27Z] <urbanecm@deploy1002> Synchronized static/images/mobile/copyright/wikipedia-fawiki-new-year.png: 43385320f417052d8e60791b3cb970e6e3f088d5: fawiki: Set celebration logo for new vector (T304314; 1/2) (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2022-03-24T21:09:09Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 43385320f417052d8e60791b3cb970e6e3f088d5: fawiki: Set celebration logo for new vector (T304314; 2/2) (duration: 00m 53s)

@Urbanecm Hi again, we are now in April 3 but as I mentioned in the description of request, the logo should be changed back at April 2. I will appreciate you, if you pursuit this change back. Thanks.

Change 776329 had a related patch set uploaded (by RhinosF1; author: RhinosF1):

[operations/mediawiki-config@master] Revert "fawiki: Set new year celebration"

https://gerrit.wikimedia.org/r/776329

Change 776330 had a related patch set uploaded (by RhinosF1; author: RhinosF1):

[operations/mediawiki-config@master] Revert "fawiki: Set celebration logo for new vector"

https://gerrit.wikimedia.org/r/776330

RhinosF1 triaged this task as High priority.
RhinosF1 added a project: User-RhinosF1.

Scheduling for morning B&C

Change 776329 merged by jenkins-bot:

[operations/mediawiki-config@master] Revert "fawiki: Set new year celebration"

https://gerrit.wikimedia.org/r/776329

Mentioned in SAL (#wikimedia-operations) [2022-04-04T07:13:51Z] <taavi@deploy1002> Synchronized wmf-config/logos.php: Config: [[gerrit:776329|Revert "fawiki: Set new year celebration" (T304314)]] (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2022-04-04T07:14:47Z] <taavi@deploy1002> Synchronized logos/config.yaml: Config: [[gerrit:776329|Revert "fawiki: Set new year celebration" (T304314)]] (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2022-04-04T07:15:41Z] <taavi@deploy1002> Synchronized static/images/project-logos: Config: [[gerrit:776329|Revert "fawiki: Set new year celebration" (T304314)]] (duration: 00m 50s)

Change 776330 merged by jenkins-bot:

[operations/mediawiki-config@master] Revert "fawiki: Set celebration logo for new vector"

https://gerrit.wikimedia.org/r/776330

Mentioned in SAL (#wikimedia-operations) [2022-04-04T07:18:04Z] <taavi@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:776330|Revert "fawiki: Set celebration logo for new vector" (T304314)]] (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2022-04-04T07:19:14Z] <taavi@deploy1002> Synchronized static/images/mobile/copyright/: Config: [[gerrit:776330|Revert "fawiki: Set celebration logo for new vector" (T304314)]] (duration: 00m 49s)

RhinosF1 moved this task from Radar to Done on the User-RhinosF1 board.

Thanks for your patience. This has now been reverted and the normal logo restored.

@RhinosF1 Farsi Wikipedia community thank you in return.